from setuptools import setup, find_packages
import subprocess

try:
    version = subprocess.check_output(['git', 'describe', '--tags']).decode().strip()
except Exception:
    version = '0.0.0'

setup(
    name='pyoattnusb',
    version=version,
    packages=find_packages(),
    author='Dimitris Lampridis',
    author_email='dimitris.lampridis@cern.ch',
    description='RF OASIS Attenuator control library',
    url='https://gitlab.cern.ch/be-cem-edl/fec/hardware-modules/rf-att-4cha',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: GNU Lesser General Public License v2 or later (LGPLv2+)',
        'Operating System :: OS Independent',
    ],
)
